/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#include "lua_func_sys.h"

#include "lauxlib.h"

#include "globals.h"
#include "lua_helper.h"

#include <time.h>

#include <QDateTime>

//-----------------------------------------------------------------------------

int lua_prop_time_str_read(lua_State *lua)
{
  char    str[64];
  time_t  t;
  
  time(&t);
  strftime(str, sizeof(str), "%H:%M:%S %Y-%m-%d", localtime(&t));
  
  lua_pushstring(lua, str);
  
  return 1;
}

//-----------------------------------------------------------------------------

int lua_prop_time_read(lua_State *lua)
{
  double ms = QDateTime::currentMSecsSinceEpoch();

  lua_pushnumber(lua, ms / 1000.0);
  
  return 1;
}

//-----------------------------------------------------------------------------

int lua_func_delay(lua_State *lua)
{
  lua_Number sec = luaL_checknumber(lua, 1);

  if (sec > 0)
  {
    unsigned long dly = (unsigned long)(sec * 1000.0);

    while ((dly > 0) && !g_lua_stop)
    {
      if (dly > 1000)
      {
        QThreadDelay::Delay(1000);
        dly -= 1000;
      }
      else
      {
        QThreadDelay::Delay(dly);
        dly = 0;
      }
    }
  }

  return 0;
}

//-----------------------------------------------------------------------------

