/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#include "windowabout.h"
#include "ui_windowabout.h"
#include "program_version.h"

//-----------------------------------------------------------------------------

WindowAbout::WindowAbout(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::WindowAbout)
{
  ui->setupUi(this);

  setWindowIcon(QIcon("icons:Lua-Quick-Try-Out.png"));

  ui->textEdit->setHtml(
    "<html>"
    "<body>"
    "<h1>Lua-Quick-Try-Out</h1>"
    "<p>"
    "<big>A Lua IDE to quickly try out algorithms.</big>"
    "</p>"
    "<hr>"
    "<p>"
    "<table>"
    "<tr><td>author:</td><td>Torsten Brischalle</td></tr>"
    "<tr><td>web:</td><td>http://www.aaabbb.de</td></tr>"
    "<tr><td>version:</td><td>" PROGRAM_VERSION "</td></tr>"
    "<tr><td>build date:</td><td>" __DATE__ "</td></tr>"
    "</table>"
    "</p>"
    "<hr>"
    "<p>Icons from icon sets created by Yusuke Kamiyamane and Olivier Charavel.</p>"
    "<p>Plotting widget: QCustomPlot from <a href=\"http://www.workslikeclockwork.com\">http://www.workslikeclockwork.com</a>.</p>"
    "<p>Source editor: QScintilla from <a href=\"http://www.riverbankcomputing.co.uk\">http://www.riverbankcomputing.co.uk</a>.</p>"
    "<hr>"
    "</body>"
    "</html>"
  );

  ui->textEdit->setReadOnly(true);
}

//-----------------------------------------------------------------------------

WindowAbout::~WindowAbout()
{
  delete ui;
}

//-----------------------------------------------------------------------------
